# class KMessageBoxMessageHandler

###

Module | kdeui
Namespace |
Class | KMessageBoxMessageHandler
Inherits | QObject,KMessageHandler

This is a convience KMessageHandler that use KMessageBox.

Author Michaël Larouche <michael.larouche@kdemail.net>

### methods

- KMessageBoxMessageHandler (parent)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0

  Create a new KMessageBoxMessageHandler

  parent - Parent widget to use for the KMessageBox.

- KMessageBoxMessageHandler (a0)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | QWidget | 0

- message (messageType, text, caption)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  messageType | KMessage.MessageType |
  text | QString |
  caption | QString |

  KMessageHandler.message